Cyberduck Mountain Duck CLI

#9208 closed defect (fixed)

No prompt for importing WinSCP bookmarks

Reported by: mibocs Owned by:
Priority: high Milestone: 5.0
Component: core Version: 4.7.3
Severity: major Keywords: winscp
Cc: Architecture: Intel
Platform: Windows 7

Description

I would like to import my winscp bookmarks into Cyberduck but it doesnt find. Only my Filezilla bookmars can be imported. I have tryed to figure out where Cyberduck want to import this but i just found this "bookmark.import.winscp.location".

So my question is where should i place this Winscp.ini in order to Cyberduck be able to find it? THX

Attachments (2)

WinScp Configuration Storage.png (43.7 KB) - added by dkocher on Mar 14, 2016 at 1:39:20 PM.
winscp-import-bug.png (97.6 KB) - added by mibocs on Apr 17, 2016 at 11:49:30 PM.

Download all attachments as: .zip

Change History (22)

comment:1 Changed on Jan 17, 2016 at 6:58:20 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
  • Summary changed from It doesnt find winscp.ini to No prompt for import of winscp.ini

We look for the file in Programs\WinSCP\winscp.ini. Make sure to change the default setting in WinSCP to change the configuration storage.

comment:2 Changed on Feb 7, 2016 at 8:17:25 PM by mibocs

I moved the winscp.ini to the Programs\WinSCP dir but there is a big problem. I know settings cant be imported manullay in cyberduck, just with the first run when i install and start the cyberduck. Now i unistalled and installed back again but there is nothing to ask if i wanna import anything( on the first run). So this case what can i do? Why isnt there manually import in cyberduck? It is fucking annoying. I can't use this way the cyberduck....

comment:3 Changed on Feb 7, 2016 at 9:13:05 PM by mibocs

At the end i figured out that there is a AppData\Roaming\iterate_GmbH\Cyberduck.exe_Url_y3p2ebapuyakx1wepw5uc1dcj54dho4b\4.7.3.18412\user.config file where imported sites all stored. I cleared this file out, started again cyberduck but event though there is a winscp.ini file in Program Files (x86)\WinSCP\winscp.ini it wasnt able to import my settings.

Last edited on Feb 22, 2016 at 10:17:18 AM by dkocher (previous) (diff)

comment:4 Changed on Feb 21, 2016 at 1:06:24 PM by mibocs

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:5 Changed on Mar 12, 2016 at 9:40:09 PM by mibocs

Anyone could answer this plz?

comment:6 Changed on Mar 14, 2016 at 12:42:21 PM by dkocher

Please choose Tools → Preferences… → Storage → Configuration storage → INI file in WinSCP to make the importer in Cyberduck work. Also refer to http://winscp.net/eng/docs/config#ini.

Version 0, edited on Mar 14, 2016 at 12:42:21 PM by dkocher (next)

comment:7 Changed on Mar 14, 2016 at 1:29:14 PM by dkocher

  • Milestone set to 4.8.4
  • Resolution set to fixed
  • Status changed from reopened to closed

With r19650 it will by default look for the file WinSCP.ini in C:\Users\{name}\AppData\Roaming\WinSCP.ini.

Changed on Apr 17, 2016 at 11:49:30 PM by mibocs

comment:8 Changed on Apr 17, 2016 at 11:53:49 PM by mibocs

https://trac.cyberduck.io/attachment/ticket/9208/winscp-import-bug.png

I tryed what you suggested but this did not work either. Take a look at the attached image(winscp-import-bug.png). This seems to me there is some bug. I have downloaded the latest cyberduck and winscp(5.7.7) and it doesnt work..:(

comment:9 Changed on Apr 17, 2016 at 11:56:15 PM by mibocs

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:10 Changed on Apr 18, 2016 at 6:39:25 AM by dkocher

Please attach WinSCP.ini.

comment:11 Changed on Apr 18, 2016 at 6:58:21 PM by mibocs

I attached my WinSCP.ini​. I removed the usernames and passwords.

comment:12 Changed on Apr 27, 2016 at 1:14:26 PM by dkocher

  • Milestone changed from 4.8.4 to 5.0
  • Resolution set to fixed
  • Status changed from reopened to closed

In r20294.

comment:13 Changed on Apr 30, 2016 at 8:20:03 PM by mibocs

  • Resolution fixed deleted
  • Status changed from closed to reopened

Have you fixed? What should i do now? thx

comment:14 Changed on May 1, 2016 at 7:44:15 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Please update to the latest snapshot build available.

comment:15 Changed on May 7, 2016 at 12:35:27 PM by mibocs

  • Resolution fixed deleted
  • Status changed from closed to reopened

One more thing. Plz remove my winscp.ini from this topic. Thx!

comment:16 Changed on May 7, 2016 at 12:50:09 PM by mibocs

I have upgraded to the latest version(4.9.3 19798) but nothing changed. Should i use some devel version instead of this?

comment:17 Changed on May 7, 2016 at 1:48:57 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Please update to the latest snapshot build available.

comment:18 follow-up: Changed on May 7, 2016 at 9:48:35 PM by mibocs

  • Resolution fixed deleted
  • Status changed from closed to reopened

I have imported all ftps into cyberduck successfully, but as i see the passwords havent been imported yet. How can i use this way the cyberduck and my ftp connections?! I very hope i dont have to manually enter all my passwords one by one, especially because i dont know these passwords.

comment:19 in reply to: ↑ 18 Changed on May 10, 2016 at 9:28:38 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to mibocs:

I have imported all ftps into cyberduck successfully, but as i see the passwords havent been imported yet. How can i use this way the cyberduck and my ftp connections?! I very hope i dont have to manually enter all my passwords one by one, especially because i dont know these passwords.

We cannot read the passwords stored from WinSCP. You will have to manually reenter each once.

comment:20 Changed on May 10, 2016 at 9:29:50 AM by dkocher

  • Summary changed from No prompt for import of winscp.ini to No prompt for importing WinSCP bookmarks
Note: See TracTickets for help on using tickets.
swiss made software